section.txt-doc {
  counter-reset: article;

  h2.txt-doc-header,
  h3.txt-doc-header,
  h4.txt-doc-header {
    color: $primary;
    page-break-after: avoid;
  }

  h2.txt-doc-header {
    text-align: center;
  }

  h3.txt-doc-header::before {
    display: inline-block;
    content: counter(article) '.\00a0';
  }

  article.txt-doc-article {
    counter-increment: article;
    counter-reset: paragraph;
  }

  article.txt-doc-article,
  section.txt-doc-section {
    ol {
      margin-left: 0;
      padding-left: 0;
    }
  }

  li.txt-doc-paragraph {
    display: block;
    margin-bottom: 0.5em;
    margin-left: 2em;
  }

  li.txt-doc-paragraph::before {
    display: inline-block;
    content: counter(article) '.' counter(paragraph) '.';
    counter-increment: paragraph;
    width: 2em;
    margin-left: -2em;
    margin-right: 0.5em;
  }
}
